org.jfree.chart.imagemap

## Class ImageMapUtilities

- java.lang.Object
- - org.jfree.chart.imagemap.ImageMapUtilities

    public class ImageMapUtilities
    extends java.lang.Object

Collection of utility methods related to producing image maps. Functionality was originally in `ChartUtilities`.

### Constructor Summary

Constructors
Constructor and Description
`ImageMapUtilities()`

### Method Summary

Methods
`static java.lang.String` `getImageMap(java.lang.String name, ChartRenderingInfo info)` Creates an image map element that complies with the XHTML 1.0 specification.
`static java.lang.String` `getImageMap(java.lang.String name, ChartRenderingInfo info, ToolTipTagFragmentGenerator toolTipTagFragmentGenerator, URLTagFragmentGenerator urlTagFragmentGenerator)` Creates an image map element that complies with the XHTML 1.0 specification.
`static java.lang.String` `htmlEscape(java.lang.String input)` Returns a string that is equivalent to the input string, but with special characters converted to HTML escape sequences.
`static java.lang.String` `javascriptEscape(java.lang.String input)` Returns a string that is equivalent to the input string, but with special characters converted to JavaScript escape sequences.
`static void` `writeImageMap(java.io.PrintWriter writer, java.lang.String name, ChartRenderingInfo info)` Writes an image map to an output stream.
`static void` `writeImageMap(java.io.PrintWriter writer, java.lang.String name, ChartRenderingInfo info, boolean useOverLibForToolTips)` Writes an image map to an output stream.
`static void` `writeImageMap(java.io.PrintWriter writer, java.lang.String name, ChartRenderingInfo info, ToolTipTagFragmentGenerator toolTipTagFragmentGenerator, URLTagFragmentGenerator urlTagFragmentGenerator)` Writes an image map to an output stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageMapUtilities

    public ImageMapUtilities()

### Method Detail

#### writeImageMap

    public static void writeImageMap(java.io.PrintWriter writer,
                     java.lang.String name,
                     ChartRenderingInfo info)
                              throws java.io.IOException

Writes an image map to an output stream.

Parameters:
  `writer` - the writer (`null` not permitted).
  `name` - the map name (`null` not permitted).
  `info` - the chart rendering info (`null` not permitted).
Throws:
  `java.io.IOException` - if there are any I/O errors.

#### writeImageMap

    public static void writeImageMap(java.io.PrintWriter writer,
                     java.lang.String name,
                     ChartRenderingInfo info,
                     boolean useOverLibForToolTips)
                              throws java.io.IOException

Writes an image map to an output stream.

Parameters:
  `writer` - the writer (`null` not permitted).
  `name` - the map name (`null` not permitted).
  `info` - the chart rendering info (`null` not permitted).
  `useOverLibForToolTips` - whether to use OverLIB for tooltips (http://www.bosrup.com/web/overlib/).
Throws:
  `java.io.IOException` - if there are any I/O errors.

#### writeImageMap

    public static void writeImageMap(java.io.PrintWriter writer,
                     java.lang.String name,
                     ChartRenderingInfo info,
                     ToolTipTagFragmentGenerator toolTipTagFragmentGenerator,
                     URLTagFragmentGenerator urlTagFragmentGenerator)
                              throws java.io.IOException

Writes an image map to an output stream.

Parameters:
  `writer` - the writer (`null` not permitted).
  `name` - the map name (`null` not permitted).
  `info` - the chart rendering info (`null` not permitted).
  `toolTipTagFragmentGenerator` - a generator for the HTML fragment that will contain the tooltip text (`null` not permitted if `info` contains tooltip information).
  `urlTagFragmentGenerator` - a generator for the HTML fragment that will contain the URL reference (`null` not permitted if `info` contains URLs).
Throws:
  `java.io.IOException` - if there are any I/O errors.

#### getImageMap

    public static java.lang.String getImageMap(java.lang.String name,
                               ChartRenderingInfo info)

Creates an image map element that complies with the XHTML 1.0 specification.

Parameters:
  `name` - the map name (`null` not permitted).
  `info` - the chart rendering info (`null` not permitted).
Returns:
  The map element.

#### getImageMap

    public static java.lang.String getImageMap(java.lang.String name,
                               ChartRenderingInfo info,
                               ToolTipTagFragmentGenerator toolTipTagFragmentGenerator,
                               URLTagFragmentGenerator urlTagFragmentGenerator)

Creates an image map element that complies with the XHTML 1.0 specification.

Parameters:
  `name` - the map name (`null` not permitted).
  `info` - the chart rendering info (`null` not permitted).
  `toolTipTagFragmentGenerator` - a generator for the HTML fragment that will contain the tooltip text (`null` not permitted if `info` contains tooltip information).
  `urlTagFragmentGenerator` - a generator for the HTML fragment that will contain the URL reference (`null` not permitted if `info` contains URLs).
Returns:
  The map tag.

#### htmlEscape

    public static java.lang.String htmlEscape(java.lang.String input)

Returns a string that is equivalent to the input string, but with special characters converted to HTML escape sequences.

Parameters:
  `input` - the string to escape (`null` not permitted).
Returns:
  A string with characters escaped.
Since:
  1.0.9

#### javascriptEscape

    public static java.lang.String javascriptEscape(java.lang.String input)

Returns a string that is equivalent to the input string, but with special characters converted to JavaScript escape sequences.

Parameters:
  `input` - the string to escape (`null` not permitted).
Returns:
  A string with characters escaped.
Since:
  1.0.13